<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( !defined('ID2') )
	przekierowanie();

$szkic            = ( isset($_GET['szkic']) ) ? true : false;
$odczytStrony     = odczytStrony( ID2, $szkic );
$odczytTypu       = ( $odczytStrony != false ) ? odczytTypuMotywu( 'typy', $odczytStrony['typ'] ) : false;
$odczytZawartosci = ( $odczytStrony != false ) ? odczytStrony( ID2, $szkic, true ) : false;

// dla kodu typów zawartości stron:
$wtUstawieniaStrony = &$odczytStrony;
$wtZawartoscStrony  = &$odczytZawartosci;
$wtWymuszenieZapisu = false;
$wtEdytorWizualny   = false;
$wtPotwierdzenie    = false;
$wtKomunikat        = null;
$wtPrzycisk         = 'Zapisz stronę';
$wtOdnosnik         = '?id=edycjaStrony&b=' . ID2 . (($szkic) ? '&szkic' : '') . '&';

if ( $odczytTypu != false ) {

	// kod typów zawartości stron, etap trzeci =======================
	$wtEtapPaneluAdmin = 3;
	include( (($odczytTypu['wlasny']) ? DANE : SYSTEM) . '/typy/' . $odczytStrony['typ'] . '/edycja.php' );

}

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $odczytStrony != false and $odczytTypu != false ) {

	// kod typów zawartości stron, etap drugi =======================
	$wtEtapPaneluAdmin = 2;
	include( (($odczytTypu['wlasny']) ? DANE : SYSTEM) . '/typy/' . $odczytStrony['typ'] . '/edycja.php' );

	zapisKonf( array( 'ostatniaAktualizacja' => time() ) );  // ostatnia aktualizacja witryny
	$odczytStrony['ostatniaAktualizacja'] = time();          // ostatnia aktualizacja tej strony

	zapisPlikuWTK ( $odczytStrony, (($szkic) ? 'szkice/' : 'strony/') . ID2 . '.wtk' );

	zapisStronyZFormularza ( $odczytZawartosci, ID2, $szkic, true );

	if ( empty($wtKomunikat) )
		komunikat(1);

}

if ( !empty($wtKomunikat) )
	komunikat($wtKomunikat);

if ( !$odczytStrony )
	komunikat( 'zle.Strona z identyfikatorem <strong>' . ID2 . '</strong> nie istnieje.' );
elseif ( !$odczytTypu )
	komunikat( 'zle.Typ zawartości strony <strong>' . $odczytStrony['typ'] . '</strong> nie istnieje.' );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2 class="edycjaUstawieniaStronTytul">
	<b><a title="Otwórz w nowej karcie podgląd tej strony." target="_blank" href="<?php echo odczytKonf('adres') . (($szkic) ? '?podgladSzkicu=' . str_rot13(ID2) : '?id=' . ID2) ?>"><?php echo ( !empty($odczytStrony['tytul']) ) ? tekst($odczytStrony['tytul']) : '%BŁĄD%' ?></a></b>
	<?php echo ($szkic) ? ' (szkic)' : '' ?>
</h2>

<ul class="edycjaUstawieniaStronNawigacja">
	<li class="iAmWaitingHere"><a href="?id=edycjaStrony&b=<?php echo ID2, (($szkic) ? '&szkic' : '' )?>">Edycja</a></li>
	<li><a href="?id=ustawieniaStrony&b=<?php echo ID2, (($szkic) ? '&szkic' : '' )?>">Ustawienia</a></li>
</ul>

<form method="post" id="formularzZawartosci">

<?php
if ( $odczytTypu != false ) {

	// kod typów zawartości stron, etap pierwszy =======================
	$wtEtapPaneluAdmin = 1;
	include( (($odczytTypu['wlasny']) ? DANE : SYSTEM) . '/typy/' . $odczytStrony['typ'] . '/edycja.php' );

	if ( $wtEdytorWizualny )
		edytorWizualny();

	if ( $wtPotwierdzenie ) {
?>

<script>
	potwierdzenie = false;
	formularz     = false;

	document.getElementById('formularzZawartosci').onclick = function() {
		potwierdzenie = true;
	}

	document.getElementById('formularzZawartosci').onsubmit = function() {
		formularz = true;
	}

	window.onclick = function() {
		if ( CKEDITOR.instances.edytorWizualny.focusManager.hasFocus )
			potwierdzenie = true;
	}

	window.onbeforeunload = function() {
		if ( (!formularz && potwierdzenie) || (!formularz && CKEDITOR.instances.edytorWizualny.focusManager.hasFocus) )
			return 'Zmiany zawartości strony nie zostały zapisane. Jeśli opuścisz tę stronę, ostatnie zmiany zostaną utracone.\nCzy chcesz kontynuować?';
	}
</script>

<?php
	}

}
else {
?>

<div style="font-size: 2.4em; color: #CDCDCD; text-shadow: 0 0 4px #D2D2D2; max-width: 600px; margin: auto;">
<p>&bdquo;Inteligentny wszystko zauważa.<br />Głupi wszystko komentuje.&rdquo;</p>
<p style="font-size: 0.8em; text-align: right; margin-top: -0.85em; margin-bottom: 4em;">&mdash; Heinrich Heine</p>
</div>

<?php
}
?>

<?php if ( $wtPrzycisk != -1 ) { ?>
<p class="przyciskWysylania"><input <?php wylaczElement($wtPrzycisk,false); wylaczElement($odczytTypu,false) ?> type="submit" value="<?php echo ( empty($wtPrzycisk) ) ? 'Zapisz stronę' :  $wtPrzycisk ?>" /></p>
<?php } ?>

</form>
<?php
if ( $wtWymuszenieZapisu )
	zapisStronyZFormularza ( $odczytZawartosci, ID2, $szkic, true );

include (SYSTEM.'/admin/stopka.php');