<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( file_exists( DANE . '/przerwa.php' ) ) {
	include ( DANE . '/przerwa.php' );
	exit();
}

$tlo = "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAA60AAAABCAIAAAC68d+AAAAAMklEQVR42u3UwQkAAAzCwLr/0HaKUCi5CXwE03bEyvWAzzIGTDNgVmPDKANmecI8GwYtH70HAoUyudkAAAAASUVORK5CYII=";
?>
<!doctype html>
<html lang="pl">

<head>

<meta charset="UTF-8">
<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Inconsolata&subset=latin-ext">
<?php
if ( odczytKonf('indeksowanie') != null )
	echo '<meta name="robots" content="', odczytKonf('indeksowanie'), '">' . "\n";
if ( odczytKonf('naglowekFavikona') != null )
	echo '<link rel="icon" href="', odczytKonf('adres'), '/', odczytKonf('adresPlikow'), '/', odczytKonf('naglowekFavikona'), '">', "\n";
?>
<title><?php echo tekst( zmienne( odczytKonf('ukladTytulu'), array( 'strona' => odczytKonf('przerwaTechnicznaTitle') ) ) ) ?></title>

<style>
body, html { margin: 0; padding: 0; }
body { font: 55px Inconsolata, monospace; }
div.wt { background: url('<?php echo $tlo ?>'); background-size: 100% 100%; position: absolute; left: 0; top: 0; right: 0; bottom: 0; color: white; }
div.wt p { background: black; padding: 10px 0; width: 100%; margin: 16% 0; text-align: center;  }
a { color: white !important; position: fixed; text-decoration: underline; right: 2em; bottom: 2em; font-size: 0.3em; }
</style>

</head>

<body>

<div class="wt">
<section>
<?php
if ( odczytKonf('przerwaTechnicznaTekst') != null )
	echo '<p>', ograniczonyHTML( tekst(odczytKonf('przerwaTechnicznaTekst')) ), '</p>';
?>
</section>
</div>

<?php if ( odczytKonf('stopkaPanelAdmin') ) { ?><a href="<?php echo odczytKonf('panelAdminAdres') ?>"><?php echo odczytKonf('stopkaPanelAdminTekst') ?></a><?php } ?>

</body>

</html>