<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( odczytKonf('wysokieZabezpieczenie') )
	przekierowanie();

// deinstalator - to nie są żadne żarty!

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if (
		!empty($_POST['administratorNazwa']) and !empty($_POST['administratorHaslo']) and
		password_verify( $_POST['administratorNazwa'], odczytKonf('administratorNazwa') ) and
		password_verify( $_POST['administratorHaslo'], odczytKonf('administratorHaslo') ) and
		isset($_POST['sposobDeinstalacji'])
	   ) {

		zapisKonf( array( 'bledyKrytyczne' => '0' ) );
		komunikat('zle.WizyTówka została odinstalowana.');
		header( 'Refresh: 10; url=' . odczytKonf('adres') );
		$rozpocznijDeinstalacje = true;

	}

	elseif ( !isset($_POST['sposobDeinstalacji']) )
		komunikat('zle.Nie wskazano sposobu deinstalacji.');
	else
		komunikat('zle.Wprowadzone dane logowania są niewłaściwe.');

}

$CHOWAC_SIE_KTO_MOZE = 1;
include (SYSTEM.'/admin/naglowek.php');
?>
<style scoped>
	label span { display: block; font-size: 0.75em; margin-left: 1.85em; opacity: 0.8; }
</style>

<h2>Deinstalacja</h2>

<form method="post" onsubmit="return confirm('Czy jesteś pewny, że chcesz odinstalować system WizyTówka?\nTa czynność jest NIEODWRACALNA!');">

<?php
if ( isset($rozpocznijDeinstalacje) ) {
?>

<p>Za 10 sekund nastąpi odświeżenie strony&hellip;</p>

<p style="font-size: 1.2em; color: #CDCDCD; text-shadow: 0 0 4px #D2D2D2; max-width: 340px; margin: 3em auto;">&bdquo;Umówiłem się z nią na dziewiątą,<br />tak mi do niej tęskno już&hellip;<br />Zaraz wezmę od szefa akonto,<br />kupię jej bukiecik róż&hellip;&rdquo;</p>

<?php
}

else {
?>

<p>Masz przed oczami deinstalator systemu WizyTówka. Posłużyć on może do usunięcia plików witryny, gdy zaistnieje potrzeba zainstalowania systemu ponownie (bez obecnych ustawień). Można go też użyć do całkowitego usunięcia WizyTówki z serwera.</p>

<p class="uwaga">Uwaga! Ta czynność jest <strong>NIEODWRACALNA</strong>!</p>

<h3>Wybór sposobu deinstalacji</h3>

<table>
	<tr>
		<td><input name="sposobDeinstalacji" value="tylkoDane" id="op11" type="radio"><label for="op11">Usuń tylko ustawienia witryny <span>Zostaną usunięte wszystkie utworzone strony oraz szkice stron, wszystkie przesłane pliki, wszystkie własne typy i motywy oraz cała konfiguracja witryny. Po&nbsp;odświeżeniu strony zobaczysz instalator systemu WizyTówka.</span></label></td>
	</tr>
	<tr>
		<td><input name="sposobDeinstalacji" value="calySystem" id="op12" type="radio"><label for="op12">Usuń ustawienia witryny i cały system WizyTówka <span>Zostaną usunięte wszystkie utworzone strony, przesłane pliki, typy i motywy, cała konfiguracja witryny oraz wszystkie pliki systemu WizyTówka. Po&nbsp;odświeżeniu strony zobaczysz prawdopodobnie błąd „404 Not Found”.</span></label></td>
	</tr>
</table>

<h3>Weryfikacja</h3>

<table>
	<tr> <td>Nazwa użytkownika:</td> <td><input name="administratorNazwa" type="text" /></td> </tr>
	<tr> <td>Hasło:</td> <td><input name="administratorHaslo" type="password" /></td> </tr>
</table>

<?php
}
?>

<p class="przyciskWysylania"><input <?php wylaczElement( isset($rozpocznijDeinstalacje), true ) ?> value="Odinstaluj WizyTówkę" type="submit" /></p>

</form>

<?php
include (SYSTEM.'/admin/stopka.php');

// no to zaczynamy samozniszczenie.... ha ha ha !!!!

if ( isset($rozpocznijDeinstalacje) ) {

	function usunRekurencyjnie($cos) {
		if ( !file_exists($cos) )
			return null;
		elseif ( is_dir($cos) ) {
			if ( file_exists( $cos . '/.htaccess' ) )
				@unlink($cos . '/.htaccess');
			foreach ( @glob($cos.'/*') as $plik )
				usunRekurencyjnie($plik);
			@rmdir($cos);
		}
		else
			@unlink($cos);
	}

	if ( $_POST['sposobDeinstalacji'] == 'calySystem' )
		$wKosmos = array( 'index.php', 'admin.php', 'sitemap.xml', '.htaccess', DANE, SYSTEM );
	else
		$wKosmos = array( 'sitemap.xml', '.htaccess', DANE );

	foreach ( $wKosmos as $wsiadamDoStatkuKosmicznego )
		usunRekurencyjnie( $wsiadamDoStatkuKosmicznego );

}